Security Update: HCMS Group Not Vulnerable to Heartbleed Bug


Facebooktwittergoogle_pluslinkedinmail

With the threat of the Heartbleed bug becoming widely known this week, we wanted to assure our clients and users that all HCMS Group websites, services, and systems are not, and have not, been vulnerable to this bug.

The Heartbleed bug has caused major sensitive data vulnerabilities, such as the theft of credit card information and passwords, with the popular OpenSSL encryption software. This bug has been around for more than two years and is thought to have affected roughly two thirds of the world’s active websites.

HCMS Group prides itself on its high security standards. We employ a multi-layered approach to online security that includes numerous proprietary and third-party technologies, 128-bit encryption, frequent technology updates, and continuous surveillance. Additional security measures are also in place that can be activated in response to specific events and activities.

To test a website’s vulnerability to the Heartbleed bug, please visit https://lastpass.com/heartbleed/.

If you have any concerns or questions and would like to contact us, you can reach us at 307-638-0015 or ContactUs@hcmsgroup.com.


Facebooktwittergoogle_pluslinkedinmail

Leave a reply